package de.jottyfan.camporganizer.module.registration.validate;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

/**
*
* @author jotty
*
*/
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = AlreadyRegisteredCheckValidator.class)
@Documented
public @interface AlreadyRegisteredCheck {
	String message() default "already registered";

	String field();
	String surname();
	String birthDate();
	String fkCamp();

	Class<?>[] groups() default {};

	Class<? extends Payload>[] payload() default {};
}

